variog {geostatsp} | R Documentation

## Compute Empirical Variograms and Permutation Envelopes

### Description

These are wrappers for `variog` and `variog.mc.env` in the `geoR` package.

### Usage

    variog(geodata, ...)
    ## S3 method for class 'SpatialPointsDataFrame'
    variog(geodata, formula, ...)
    ## Default S3 method:
    variogMcEnv(geodata, ...)
    ## S3 method for class 'SpatialPointsDataFrame'
    variogMcEnv(geodata, formula, ...)

### Arguments

`geodata` | An object of class `SpatialPointsDataFrame` or of a class suitable for `variog` in the `geoR` package.
`formula` | A formula specifying the response variable and fixed effects portion of the model. The variogram is performed on the residuals.
`...` | additional arguments passed to `variog` in the `geoR` package.

### Value

As `variog` or `variog.mc.env`

### See Also

`variog` and `variog.mc.env`.

### Examples

    data("swissRain")
    swissRain$lograin = log(swissRain$rain)
    swissv= variog(swissRain, formula=lograin ~ 1,option="bin")
    swissEnv = variogMcEnv(swissRain, lograin ~ 1, obj.var=swissv,nsim=9)
    if(!is.null(swissv)){
    	plot(swissv, env=swissEnv, main = "Swiss variogram")
    }

[Package geostatsp version 1.7.8 Index]